build-app:
    stage: build
    image: ubuntu:16.04
    before_script:
        - apt-get update && apt-get install -y build-essential cmake
    script:
        - pushd cpp-demo
        - mkdir build && cd build
        - cmake ..
        - make
        - make test
    after_script:
        # create artifact
        - mkdir bin
        - cp cpp-demo/build/src/DemoApp/DemoApp bin/
    artifacts:
        paths:
            - bin/*



run-ubuntu:
    stage: test
    image: ubuntu:17.10
    script:
        - ./bin/DemoApp